# Flutter Demo GPS-App

This is a sample application that demonstrates some of the features which can be found in many Flutter apps, e.g.
- Provider and BLoC pattern
- Accessing the GPS sensor
- Streams as data provider
- Localization
- Own Widgets
- Storing files
- ...

## Getting Started
`gps_bloc_app.dart` and `gps_provider_app.dart` are two implementations of the GPS app.
The first uses the BLoC pattern, the latter the provider pattern.
Both can be executed from the IDE and the command line, e.g.
 
   `flutter run lib/gps_provider_app.dart`

To build an app for Android or iOS, one of these files hast to be linked or renamed to `main.dart`.


Tested with Flutter (Channel stable, 3.2.x - 3.7.x on Ubuntu 22.04.1) and

- Android
- Linux
- Web \
  Note: ensure that browser provides GPS coordinates 
  - Google Chrome works
  - Ungoogled Chromium does not

